Bug 203532 - a -devel package should be split out + missing requires
a -devel package should be split out + missing requires
Product: Fedora
Classification: Fedora
Component: gnome-python2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2006-08-22 06:47 EDT by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-24 10:59:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-08-22 06:47:30 EDT
Description of problem:

gnome-python2-gnomevfs ships 2 include files, gnome-python2 ships
a pkgconfig file. 

The include files shipped with gnome-python2-gnomevfs requires
the following missing requires:
gnome-vfs2-devel python-devel

and last the directory
is unowned.

My opinion is that the solution would be to split a -devel 
package out of gnome-python2, with the pkgconfig file and 
the includes, owning
/usr/include/gnome-python-2.0/. Even though it would be a 
very small package, I believe it makes sense, and avoid
having Requires -devel packages, and proper requires.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Patrice Dumas 2006-11-17 10:45:59 EST
It is better now, except that

* /usr/include/gnome-python-2.0/
  is still unowned.

* in pygnomevfs.h, there is an
#include <Python.h>
  So it seems to me that gnome-python2-devel should 
Requires:   python-devel

* I get warnings when installing gnome-python2-devel
warning: group root- does not exist - using root
  Maybe there is a typo in %defattr? cvs is currently down
  so I cannot check. 
Comment 2 Matthew Barnes 2006-11-17 15:47:33 EST
Thanks for looking after the details.

I fixed the first two items but I can't reproduce the third, nor can I find a
typo in the %defattr lines.  I probably just need a second pair of eyes to look
at the spec file.

Pushing an update to Rawhide immediately, but holding off on an FC6 update until
there are more significant changes to the package.

Comment 3 Patrice Dumas 2006-11-21 18:57:22 EST
I cannot reproduce the error, so we can consider this issue 
closed. While looking at the spec I noticed the following 

* spec file should be named the same than Name: (srpm)
* there is no Url:
* the buildroot isn't the preferred one, and although some people
  don't like the -%(%{__id_u} -n), you could at least add the
  %{release} in it (preferred one, which is not really preferred nowadays
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* Are the autoconf, automake and libtool BR still needed?
* Maybe the obsolete could be versioned, with <= the latest version-release
  known to be obsoleted.

You can close the bug if you like, we're drifting....
Comment 4 Matthew Barnes 2006-11-27 16:21:24 EST
Thanks, I applied some of these suggestions to gnome-python2 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.